<?php

require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\Shell\Shell;
use NoccyLabs\Shell\Context;

class CatchAllContext extends Context
{
    public function execute($cmd, ...$arg)
    {
        printf("Executing: %s %s\n", $cmd, join(" ",$arg));
        return true;
    }
}

$myShell = new Shell();
$myShell->setPrompt("test>");
$myShell->pushContext(new CatchAllContext());
$myShell->run();
